---
title: HTMLTemplateElement
slug: Web/API/HTMLTemplateElement
tags:
  - API
  - HTML DOM
  - HTMLTemplateElement
  - Interface
  - Reference
  - Web Components
---
<div>{{APIRef("Web Components")}}</div>

<p>The <code><strong>HTMLTemplateElement</strong></code> interface enables access to the contents of an HTML {{HTMLElement("template")}} element.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface inherits the properties of {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLTemplateElement.content", "content")}} {{readonlyinline}}</dt>
 <dd>A read-only {{domxref("DocumentFragment")}} which contains the DOM subtree representing the {{HTMLElement("template")}} element's template contents.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface inherits the methods of {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','scripting.html#htmltemplateelement','HTMLTemplateElement interface')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','scripting-1.html#htmltemplateelement','HTMLTemplateElement interface')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLTemplateElement")}}</p>
